TransformerUtils (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.util.xml

## Class TransformerUtils

- java.lang.Object
- - org.springframework.util.xml.TransformerUtils

-     public abstract class TransformerUtils
      extends Object

  Contains common behavior relating to `Transformers`, and the `javax.xml.transform` package in general.
  Since:
    2.5.5
  Author:
    Rick Evans, Juergen Hoeller

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_INDENT_AMOUNT` The indent amount of characters if `indenting is enabled`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransformerUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `disableIndenting(Transformer transformer)` Disable indenting for the supplied `Transformer`.
    `static void` | `enableIndenting(Transformer transformer)` Enable indenting for the supplied `Transformer`.
    `static void` | `enableIndenting(Transformer transformer, int indentAmount)` Enable indenting for the supplied `Transformer`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_INDENT_AMOUNT

          public static final int DEFAULT_INDENT_AMOUNT

      The indent amount of characters if `indenting is enabled`.

      Defaults to "2".

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TransformerUtils

          public TransformerUtils()

  - ### Method Detail

    - #### enableIndenting

          public static void enableIndenting(Transformer transformer)

      Enable indenting for the supplied `Transformer`.

      If the underlying XSLT engine is Xalan, then the special output key `indent-amount` will be also be set to a value of `DEFAULT_INDENT_AMOUNT` characters.

      Parameters:
        `transformer` - the target transformer
      See Also:
        `Transformer.setOutputProperty(String, String)`, `OutputKeys.INDENT`

    - #### enableIndenting

          public static void enableIndenting(Transformer transformer,
                             int indentAmount)

      Enable indenting for the supplied `Transformer`.

      If the underlying XSLT engine is Xalan, then the special output key `indent-amount` will be also be set to a value of `DEFAULT_INDENT_AMOUNT` characters.

      Parameters:
        `transformer` - the target transformer
        `indentAmount` - the size of the indent (2 characters, 3 characters, etc.)
      See Also:
        `Transformer.setOutputProperty(String, String)`, `OutputKeys.INDENT`

    - #### disableIndenting

          public static void disableIndenting(Transformer transformer)

      Disable indenting for the supplied `Transformer`.
      Parameters:
        `transformer` - the target transformer
      See Also:
        `OutputKeys.INDENT`